classification
Title: distutils: Remove unused install_misc class
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, dstufft, ericvw, gward, merwok, python-dev
Priority: normal Keywords: patch

Created on 2017-01-09 23:01 by ericvw, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
distutils-remove-install_misc-1.patch ericvw, 2017-01-09 23:01
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (5)
msg285080 - (view) Author: Eric N. Vander Weele (ericvw) * Date: 2017-01-09 23:01
This class hasn't been used for quite some time.  Seems safe to remove.
msg285281 - (view) Author: Greg Ward (gward) (Python committer) Date: 2017-01-12 02:56
LGTM, after a cursory glance at the code history. Been a loooong time since I understood this stuff deeply, though!
msg286578 - (view) Author: Roundup Robot (python-dev) Date: 2017-02-01 01:37
New changeset 19c4528f53b0 by Berker Peksag in branch 'default':
Issue #29218: Remove unused install_misc command
https://hg.python.org/cpython/rev/19c4528f53b0
msg286579 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-01 01:41
Thanks! Since Greg has given his LGTM and I couldn't find any usage of it in the wild, I've committed the patch with a NEWS entry.
msg286580 - (view) Author: Roundup Robot (python-dev) Date:
New changeset ef6bf4c28f78c1f9ad01ff466c9c84d4513a506b by Berker Peksag in branch 'master':
Issue #29218: Remove unused install_misc command
https://github.com/python/cpython/commit/ef6bf4c28f78c1f9ad01ff466c9c84d4513a506b
History
Date User Action Args
2017-03-31 16:36:08dstufftsetpull_requests: + pull_request838
2017-02-01 02:00:22python-devsetmessages: + msg286580
2017-02-01 01:41:58berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg286579

resolution: fixed
stage: resolved
2017-02-01 01:37:59python-devsetnosy: + python-dev
messages: + msg286578
2017-01-12 02:56:23gwardsetmessages: + msg285281
2017-01-10 00:34:20ericvwsetcomponents: - Build
2017-01-09 23:01:13ericvwcreate